List your Workflow Agents
Returns your organization's Workflow Agents, newest first, one page at a time. Follow next_cursor for the next page. Archived Workflow Agents are left out.
Query Parameters
- Type: stringnullablecursor
The
next_cursorfrom the previous page. Omit it for the first page. - Type: integerlimitmin:1max:200
How many Workflow Agents to return per page.
Responses
- application/json
- application/json
Request Example for get/v1/workflow-agents
curl '/v1/workflow-agents?limit=50' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"items": [
{
"id": "string",
"name": "string",
"review_status": "pending_review",
"is_active": true,
"created_at": "2026-09-24T21:09:12.160Z",
"submitted_at": "2026-09-24T21:09:12.160Z",
"active_updated_at": "2026-09-24T21:09:12.160Z"
}
],
"next_cursor": "string"
}
